package StructuralClass;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class ChannelEventInfo extends JceStruct {
    static ActionBarInfo cache_moreAction = new ActionBarInfo();
    static EventValidateInfo cache_validateInfo = new EventValidateInfo();
    public int eventType = 0;
    public String faceImageUrl = "";
    public String h5Url = "";
    public ActionBarInfo moreAction = null;
    public String uniqueId = "";
    public EventValidateInfo validateInfo = null;
    public long version = 0;
    
    public ChannelEventInfo() {
        super();
        this.eventType = 0;
        this.uniqueId = "";
        this.version = 0;
        this.faceImageUrl = "";
        this.moreAction = null;
        this.h5Url = "";
        this.validateInfo = null;
    }

    public ChannelEventInfo(int i, String str, long j, String str2, ActionBarInfo actionBarInfo, String str3, EventValidateInfo eventValidateInfo) {
        this.eventType = i;
        this.uniqueId = str;
        this.version = j;
        this.faceImageUrl = str2;
        this.moreAction = actionBarInfo;
        this.h5Url = str3;
        this.validateInfo = eventValidateInfo;
    }

    public void writeTo(d dVar) {
        dVar.a(this.eventType, 0);
        dVar.a(this.uniqueId, 1);
        dVar.a(this.version, 2);
        if (this.faceImageUrl != null) {
            dVar.a(this.faceImageUrl, 3);
        }
        if (this.moreAction != null) {
            dVar.a(this.moreAction, 4);
        }
        if (this.h5Url != null) {
            dVar.a(this.h5Url, 5);
        }
        if (this.validateInfo != null) {
            dVar.a(this.validateInfo, 6);
        }
    }

    public void readFrom(c cVar) {
        this.eventType = cVar.a(this.eventType, 0, true);
        this.uniqueId = cVar.b(1, true);
        this.version = cVar.a(this.version, 2, true);
        this.faceImageUrl = cVar.b(3, false);
        this.moreAction = (ActionBarInfo) cVar.a(cache_moreAction, 4, false);
        this.h5Url = cVar.b(5, false);
        this.validateInfo = (EventValidateInfo) cVar.a(cache_validateInfo, 6, false);
    }

}
